Bug 62731 - [Qt][WK2] http/tests/loading/state-object-security-exception.html fails
Summary: [Qt][WK2] http/tests/loading/state-object-security-exception.html fails
Status: RESOLVED INVALID
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords: Qt, QtTriaged
Depends on:
Blocks:
 
Reported: 2011-06-15 08:38 PDT by Csaba Osztrogonác
Modified: 2014-02-03 03:17 PST (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Csaba Osztrogonác 2011-06-15 08:38:43 PDT
--- /tmp/layout-test-results/http/tests/loading/state-object-security-exception-expected.txt	2011-06-15 15:41:22.779090505 +0000
+++ /tmp/layout-test-results/http/tests/loading/state-object-security-exception-actual.txt	2011-06-15 15:41:22.779090505 +0000
@@ -1,8 +1,3 @@
-main frame - didStartProvisionalLoadForFrame
-main frame - didCommitLoadForFrame
-main frame - didFinishDocumentLoadForFrame
-main frame - didHandleOnloadEventsForFrame
-main frame - didFinishLoadForFrame
 This test makes sure that calls to pushState() and replaceState() with URLs that violate the security origin check fail as expected.
 
 Trying to pushState() with url http://localhost/test.html failed with exception Error: SECURITY_ERR: DOM Exception 18
Comment 1 Jesus Sanchez-Palencia 2012-02-03 12:13:08 PST
This test passes locally to me but I'm a bit confused.
From wk2/Skipped:

# WebKitTestRunner needs layoutTestController.clearBackForwardList
# <https://bugs.webkit.org/show_bug.cgi?id=42333>
fast/dom/location-hash.html
fast/history/form-submit-in-frame-via-onclick.html
fast/history/form-submit-in-frame.html
fast/history/gesture-before-onload-form-submit.html
fast/history/gesture-before-onload-location-href.html
fast/history/history-length.html
fast/history/redirect-via-iframe.html
fast/loader/location-port.html
fast/loader/stateobjects/document-destroyed-navigate-back-with-fragment-scroll.html
fast/loader/stateobjects/document-destroyed-navigate-back.html
fast/loader/stateobjects/popstate-after-load-complete-addeventlistener.html
fast/loader/stateobjects/popstate-after-load-complete-body-attribute.html
fast/loader/stateobjects/popstate-after-load-complete-body-inline-attribute.html
fast/loader/stateobjects/popstate-after-load-complete-window-attribute.html
fast/loader/stateobjects/pushstate-clears-forward-history.html
fast/loader/stateobjects/pushstate-then-replacestate.html
fast/loader/stateobjects/pushstate-updates-location.html
fast/loader/stateobjects/pushstate-with-fragment-urls-and-hashchange.html
fast/loader/stateobjects/pushstate-within-popstate-handler-assert.html
fast/loader/stateobjects/pushstate-without-history.html
fast/loader/stateobjects/replacestate-then-pushstate.html
http/tests/loading/state-object-security-exception.html


However, https://bugs.webkit.org/show_bug.cgi?id=42333 was marked as RESOLVED FIXED on 27/10/2010. I have checked it quickly and the other tests seem to be passing here locally as well, Ossy. Is there a special reason for this to be skipped for everyone? (since it's skipped in wk2/Skipped)
Comment 2 Csaba Osztrogonác 2012-02-04 00:11:43 PST
I think there isn't a good reason why these tests are still in the skipped list.

rs=me to unskip them. But please check our WK2 bot and Mac WK2 bot to ensure these tests are passing.
Comment 3 Jesus Sanchez-Palencia 2012-02-06 09:05:52 PST
Committed r106812: <http://trac.webkit.org/changeset/106812>
Comment 4 Jesus Sanchez-Palencia 2012-02-06 11:38:29 PST
Committed r106825: <http://trac.webkit.org/changeset/106825>
Comment 5 Jesus Sanchez-Palencia 2012-02-06 11:43:23 PST
(In reply to comment #3)
> Committed r106812: <http://trac.webkit.org/changeset/106812>

I skipped all those tests on this commit.


(In reply to comment #4)
> Committed r106825: <http://trac.webkit.org/changeset/106825>

But then on this commit I had to skip the following tests:

Regressions: Unexpected text diff mismatch : (3)
fast/history/form-submit-in-frame-via-onclick.html = TEXT
fast/history/form-submit-in-frame.html = TEXT
http/tests/loading/state-object-security-exception.html = TEXT


I'm keeping the bug open until someone can investigate this.
Comment 6 Jocelyn Turcotte 2014-02-03 03:17:58 PST
=== Bulk closing of Qt bugs ===

If you believe that this bug report is still relevant for a non-Qt port of webkit.org, please re-open it and remove [Qt] from the summary.

If you believe that this is still an important QtWebKit bug, please fill a new report at https://bugreports.qt-project.org and add a link to this issue. See http://qt-project.org/wiki/ReportingBugsInQt for additional guidelines.